GRUB-SET-PASSWORD(3)

NAME
grub-set-password — Generate the user.cfg file containing the hashed grub bootloader password.

SYNOPSIS
grub-set-password [OPTION]

DESCRIPTION
grub-set-password outputs the user.cfg file which contains the hashed GRUB bootloader password. This utility only supports configurations where there is a single root user. The file has the format: GRUB2_PASSWORD=<hashed password>.

OPTIONS

-h, --help
    Display program usage and exit.

-v, --version
    Display the current version.

-o, --output=<DIRECTORY>
    Choose the file path to which user.cfg will be written.

SEE ALSO
info grub info grub2-mkpasswd-pbkdf2